com.ihr.xbrl.pojo

## Class XMLNode

- java.lang.Object
- - com.ihr.xbrl.pojo.XMLNode

- All Implemented Interfaces:
    HasId, java.io.Serializable
  Direct Known Subclasses:
    XMLAttribute, XMLFragment

      public abstract class XMLNode
      extends java.lang.Object
      implements java.io.Serializable, HasId

  The Class XMLNode.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLNode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Long` | `getId()` Gets the id.
    `QName` | `getName()` Gets the name.
    `QName` | `getValue()` Gets the value.
    `int` | `hashCode()` This is the java hashCode method.
    `void` | `setHash(java.lang.Integer value)` Method used by hibernate to set the value.
    `void` | `setId(java.lang.Long id)` Sets the id.
    `void` | `setName(QName name)` Sets the name.
    `void` | `setValue(QName value)` Sets the value.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLNode

          public XMLNode()

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      This is the java hashCode method.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        int

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getName

          public QName getName()

      Gets the name.
      Returns:
        the name

    - #### setName

          public void setName(QName name)

      Sets the name.
      Parameters:
        `name` - the name to set

    - #### getId

          public java.lang.Long getId()

      Gets the id.
      Specified by:
        `getId` in interface `HasId`
      Returns:
        the id

    - #### setId

          public void setId(java.lang.Long id)

      Sets the id.
      Specified by:
        `setId` in interface `HasId`
      Parameters:
        `id` - the id to set

    - #### getValue

          public QName getValue()

      Gets the value.
      Returns:
        the value

    - #### setValue

          public void setValue(QName value)

      Sets the value.
      Parameters:
        `value` - the value to set

    - #### setHash

          public void setHash(java.lang.Integer value)

      Method used by hibernate to set the value.
      Parameters:
        `value` - the new hash